Skip to main content
GET
/
v2
/
redpacket
/
{id}
RedPacket - Get
curl --request GET \
  --url https://api.dex.chainstream.io/v2/redpacket/{id} \
  --header 'Authorization: Bearer <token>'
{
  "creator": "EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v",
  "id": "Es9vMFrzaCERmJfrF4H2FYD4KCoNkY11McCe8BenwNYB",
  "maxClaims": 10,
  "mint": "Es9vMFrzaCERmJfrF4H2FYD4KCoNkY11McCe8BenwNYB",
  "totalAmount": "1000000000",
  "chain": "sol",
  "claimAuthority": "Es9vMFrzaCERmJfrF4H2FYD4KCoNkY11McCe8BenwNYB",
  "claimedAmount": "500000000",
  "claimedCount": 5,
  "createdAt": 1717334400000,
  "expiration": 24,
  "expired": true,
  "expiredAt": 1717420800000,
  "memo": "Happy Red Packet",
  "refundedAmount": "0",
  "shareId": "abc123",
  "txHash": "5UfDuX7hXbL3mFfPdq1pymNHM..."
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Redpacket id

Response

200 - application/json

Successful response

Red packet detail

creator
string
required

DTO.RED_PACKET.CREATOR

Example:

"EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v"

id
string
required

Redpacket id

Example:

"Es9vMFrzaCERmJfrF4H2FYD4KCoNkY11McCe8BenwNYB"

maxClaims
integer<int32>
required

DTO.RED_PACKET.MAX_CLAIMS

Example:

10

mint
string
required

DTO.RED_PACKET.MINT

Example:

"Es9vMFrzaCERmJfrF4H2FYD4KCoNkY11McCe8BenwNYB"

totalAmount
string
required

DTO.RED_PACKET.TOTAL_AMOUNT

Example:

"1000000000"

chain
string | null

DTO.RED_PACKET.CHAIN

Example:

"sol"

claimAuthority
string | null

DTO.RED_PACKET.CLAIM_AUTHORITY

Example:

"Es9vMFrzaCERmJfrF4H2FYD4KCoNkY11McCe8BenwNYB"

claimedAmount
string | null

DTO.RED_PACKET.CLAIMED_AMOUNT

Example:

"500000000"

claimedCount
integer<int32> | null

DTO.RED_PACKET.CLAIMED_COUNT

Example:

5

createdAt
integer<int64> | null

DTO.RED_PACKET.CREATED_AT

Example:

1717334400000

expiration
integer<int64> | null

DTO.RED_PACKET.EXPIRATION

Example:

24

expired
boolean | null

DTO.RED_PACKET.WITHDRAWED

expiredAt
integer<int64> | null

DTO.RED_PACKET.EXPIRES_AT

Example:

1717420800000

memo
string | null

DTO.RED_PACKET.MEMO

Example:

"Happy Red Packet"

refundedAmount
string | null

DTO.RED_PACKET.REFUND_AMOUNT

Example:

"0"

shareId
string | null

DTO.RED_PACKET.SHARE_ID

Example:

"abc123"

txHash
string | null

DTO.RED_PACKET.TX_HASH

Example:

"5UfDuX7hXbL3mFfPdq1pymNHM..."